import { Buffer } from "buffer";
export declare function download_to_buffer(url: string): Promise<Buffer>;
export declare function download_to_file(url: string, path_file: string): Promise<string>;
export declare function upload_from_file(url: string, path_file: string): Promise<number>;
export declare function upload_from_buffer(url: string, data: Buffer): Promise<number>;
export declare function fetch_file(pars: {
    url: string;
    filename: string;
    if_file_exists: "overwrite" | "fail";
}): Promise<void>;
